package org.jivesoftware.smack.packet;

import java.util.Collection;
import java.util.List;
import java.util.Set;

/** @deprecated */
@Deprecated
public interface Packet extends TopLevelStreamElement {
   String TEXT = "text";
   String ITEM = "item";

   String getStanzaId();

   /** @deprecated */
   @Deprecated
   String getPacketID();

   void setStanzaId(String var1);

   /** @deprecated */
   @Deprecated
   void setPacketID(String var1);

   String getTo();

   void setTo(String var1);

   String getFrom();

   void setFrom(String var1);

   XMPPError getError();

   void setError(XMPPError var1);

   String getLanguage();

   void setLanguage(String var1);

   List<ExtensionElement> getExtensions();

   Set<ExtensionElement> getExtensions(String var1, String var2);

   ExtensionElement getExtension(String var1);

   <PE extends ExtensionElement> PE getExtension(String var1, String var2);

   void addExtension(ExtensionElement var1);

   void addExtensions(Collection<ExtensionElement> var1);

   boolean hasExtension(String var1, String var2);

   boolean hasExtension(String var1);

   ExtensionElement removeExtension(String var1, String var2);

   ExtensionElement removeExtension(ExtensionElement var1);

   String toString();
}
